MalformedPatternException (Jakarta-ORO 2.0.8 API)
Keywords: org.apache.oro.text.regex.MalformedPatternException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.oro.text.regex
Class MalformedPatternException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.oro.text.regex.MalformedPatternException

All Implemented Interfaces:
  java.io.Serializable

public class MalformedPatternException
extends java.lang.Exception

A class used to signify the occurrence of a syntax error in a regular expression that is being compiled. The class is not declared final so that it may be subclassed for identifying more specific pattern comilation errors. However, at this point in time, this package does not subclass MalformedPatternException for any purpose. This does not preclude users and third party implementors of the interfaces of this package from subclassing it for their own purposes.

Since:
  1.0
Version:
  2.0.8
See Also:
  `PatternCompiler`, Serialized Form

Constructor Summary
`MalformedPatternException()` Simply calls the corresponding constructor of its superclass.
`MalformedPatternException(java.lang.String message)` Simply calls the corresponding constructor of its superclass.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedPatternException

    public MalformedPatternException()

  Simply calls the corresponding constructor of its superclass.

### MalformedPatternException

    public MalformedPatternException(java.lang.String message)

  Simply calls the corresponding constructor of its superclass.

Parameters:
  `message` - A message indicating the nature of the parse error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.